List all articles
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"title": "Getting Started Guide",
"state": "published",
"unique_views_count": 42,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Articles
List articles
This API allows to get a list of all articles.
GET
/
articles
List all articles
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Unique identifier of the category. Refer to Getting the Category ID section for detailed instructions.
Retrieve paginated results by specifying the desired page number. Defaulting to 1 when omitted.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Search term to filter articles.
Status of the article.
Available options:
draft, published Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"getting-started"
Example:
"Getting Started Guide"
Available options:
draft, published Example:
"published"
Example:
42